Invarn Docs

Get Ticket

GET/api/v1/servers/{guild}/tickets/{number}

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$
number*integer
Formatint32

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/servers/string/tickets/0"
{  "ticket": {    "thread": "string",    "guild": "string",    "number": 0,    "type": "string",    "typeName": "string",    "opener": "string",    "openerName": "string",    "status": "open",    "claimedBy": "string",    "claimedName": "string",    "closedBy": "string",    "closeReason": "string",    "createdAt": "2019-08-24T14:15:22Z",    "closedAt": "2019-08-24T14:15:22Z"  },  "messages": [    {      "id": "string",      "author": "string",      "authorName": "string",      "avatar": "string",      "bot": true,      "content": "string",      "attachments": [        "string"      ],      "at": "2019-08-24T14:15:22Z"    }  ]}